Bug 158036 - databases/py-redis: [2.2.4] this port don't actually install
Summary: databases/py-redis: [2.2.4] this port don't actually install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-19 19:20 UTC by Eir Nym
Modified: 2012-06-26 07:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eir Nym 2011-06-19 19:20:11 UTC
Py-redis don't actually install.
pkg_info(8) reports about nonexistent files

# pkg_info -g py27-redis-2.2.4
Information for py27-redis-2.2.4:

Mismatched Checksums:
pkg_info: /usr/local/lib/python2.7/site-packages/redis-2.2.4-py2.7.egg-info doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/__init__.py doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/__init__.pyc doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/__init__.pyo doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/client.py doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/client.pyc doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/client.pyo doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/connection.py doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/connection.pyc doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/connection.pyo doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/exceptions.py doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/exceptions.pyc doesn't exist
pkg_info: /usr/local/lib/python2.7/site-packages/redis/exceptions.pyo doesn't exist

How-To-Repeat: #cd /usr/ports/databases/py-redis
# make install
#pkg_info -g py27-redis-2.2.4
Comment 1 wenheping 2011-06-20 04:06:55 UTC
Hi,

   Here is a patch to fix this problem.

wen


diff -urN py-redis.orig/Makefile py-redis/Makefile
--- py-redis.orig/Makefile      2011-06-20 10:56:12.000000000 +0800
+++ py-redis/Makefile   2011-06-20 10:55:33.000000000 +0800
@@ -7,6 +7,7 @@

 PORTNAME=      redis
 PORTVERSION=   2.2.4
+PORTREVISION=  1
 CATEGORIES=    databases python
 MASTER_SITES=  http://cloud.github.com/downloads/andymccurdy/redis-py/
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
diff -urN py-redis.orig/files/patch-setup.py py-redis/files/patch-setup.py
--- py-redis.orig/files/patch-setup.py  1970-01-01 08:00:00.000000000 +0800
+++ py-redis/files/patch-setup.py       2011-06-20 10:53:13.000000000 +0800
@@ -0,0 +1,14 @@
+--- setup.py.orig      2011-06-20 10:52:18.000000000 +0800
++++ setup.py   2011-06-20 10:52:53.000000000 +0800
+@@ -25,10 +25,7 @@
+         'Programming Language :: Python'],
+ }
+
+-try:
+-    from setuptools import setup
+-except ImportError:
+-    from distutils.core import setup
++from distutils.core import setup
+
+ setup(**sdict)
+
Comment 2 Eir Nym 2011-06-20 06:59:11 UTC
He-he. This patch should be sent to upstream.

-- Eir Nym
Comment 3 Pav Lucistnik freebsd_committer 2011-06-23 09:59:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Assign to maintainer
Comment 4 Cheng-Lung Sung freebsd_committer 2011-11-10 06:51:45 UTC
State Changed
From-To: open->feedback

Does the same problem still exist in current version?
Comment 5 John W. O'Brien 2012-02-06 21:03:09 UTC
SSBjYW4gcmVwcm9kdWNlIHRoaXMgYmVoYXZpb3Igd2l0aCBweTI3LXJlZGlzLTIuNC45IG9uIDgu
MlIgYW5kIDkuMFIuIHB5MjYtcmVkaXMtMi40LjkgaW5zdGFsbHMgdW5icm9rZW4gb24gNy4zUi4g
V2hhdCBvdGhlciBpbmZvcm1hdGlvbiB3b3VsZCBoZWxwIGlzb2xhdGUgdGhlIHByb2JsZW0/
Comment 6 John W. O'Brien 2012-02-06 22:46:31 UTC
Please excuse the base64 noise. I hope I've successfully resolved that em=
barrassing little gaffe.

I can reproduce this behavior with py27-redis-2.4.9 on 8.2R and 9.0R. py2=
6-redis-2.4.9 installs unbroken on 7.3R.

Applying an updated version of wen's setup.py patch from above resolves t=
he problem on 8.2R and 9.0R, and does not appear to break on 7.3R.
Comment 7 koobs 2012-05-27 09:15:59 UTC
Just submitted ports/168362 which includes the patch from this PR.

Can close this once it's committed.
Comment 8 Cheng-Lung Sung freebsd_committer 2012-06-26 07:15:20 UTC
State Changed
From-To: feedback->closed

solved via ports/168362